#
# spec file for package gupnp-ui
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gupnp-ui
Version:        0.1.1
Release:        29.2
Summary:        Collection of GTK+ widgets on top of GUPnP
License:        LGPL-2.0+
Group:          Development/Libraries/GNOME
Url:            http://www.gupnp.org/
Source:         %{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM gupnp-linking.patch dimstar@opensuse.org -- Fix build on Factory with --no-copy-dt-needed-entries. Patch sent upstream.
Patch0:         gupnp-linking.patch
# PATCH-FIX-UPSTREAM gupnp-ui-gssdp.patch bgo#691616 dimstar@opensuse.org -- Link the test binary against libgssdp.
Patch1:         gupnp-ui-gssdp.patch
BuildRequires:  gnome-common
BuildRequires:  gtk2-devel
BuildRequires:  libgupnp-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GUPnP-UI provides a collection of simple GTK+ widgets on top of GUPnP.

%package -n libgupnp-ui-1_0-0
Summary:        Collection of GTK+ widgets on top of GUPnP
Group:          Development/Libraries/GNOME

%description -n libgupnp-ui-1_0-0
GUPnP-UI provides a collection of simple GTK+ widgets on top of GUPnP.

%package -n libgupnp-ui-devel
Summary:        Collection of GTK+ widgets on top of GUPnP - Development Files
Group:          Development/Libraries/GNOME
Requires:       gtk2-devel
Requires:       libgupnp-devel
Requires:       libgupnp-ui-1_0-0 = %{version}

%description -n libgupnp-ui-devel
GUPnP-UI provides a collection of simple GTK+ widgets on top of GUPnP.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
NOCONFIGURE=1 gnome-autogen.sh
%configure --disable-static
%__make %{?jobs:-j%jobs}

%install
%makeinstall
find %{buildroot} -type f -name "*.la" -delete -print

%clean
rm -rf %{buildroot}

%post -n libgupnp-ui-1_0-0 -p /sbin/ldconfig

%postun -n libgupnp-ui-1_0-0 -p /sbin/ldconfig

%files -n libgupnp-ui-1_0-0
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/*.so.*

%files -n libgupnp-ui-devel
%defattr(-,root,root)
%{_includedir}/%{name}-1.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/%{name}

%changelog
* Sat Jan 12 2013 dimstar@opensuse.org
- Add gupnp-ui-gssdp.patch: Ensure the test binary is linked
  against libgssdp-1.0.
* Thu Aug 25 2011 dimstar@opensuse.org
- Add gupnp-linking.patch: Fix linking on Factory with
  - -no-copy-dt-needed-entries enabled.
- Add gnome-common BuildRequires and call to gnome-autogen.sh, as
  the patch touches the build system.
* Sat Jun 13 2009 vuntz@novell.com
- Initial package.
